package com.oqpo.api.web.dto.response.sttlmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.oqpo.api.entity.settmng.StlMgntBaseInfoEntity;
import com.oqpo.api.entity.stockmng.StckCddMgntInfoEntity;
import com.oqpo.api.web.dto.response.stockmng.StockCddInfoResponse;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;


@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class SttlReqResponse {

    @ApiModelProperty(value = "정산관리고유번호")
    private String sttlMgntUnqNo;

    public static SttlReqResponse toDTO(StlMgntBaseInfoEntity entity) {
        if (entity == null) return null;
        return SttlReqResponse.builder()
                .sttlMgntUnqNo(entity.getSttlMgntUnqNo())
                .build();
    }

}
